net.i2p.socks

## Class SOCKS5Constants.Reply

- java.lang.Object
- - net.i2p.socks.SOCKS5Constants.Reply

- Enclosing class:
    SOCKS5Constants

      public static class SOCKS5Constants.Reply
      extends Object

  SOCKS5 reply codes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDRESS_TYPE_NOT_SUPPORTED`
    `static int` | `COMMAND_NOT_SUPPORTED`
    `static int` | `CONNECTION_NOT_ALLOWED_BY_RULESET`
    `static int` | `CONNECTION_REFUSED`
    `static int` | `GENERAL_SOCKS_SERVER_FAILURE`
    `static int` | `HOST_UNREACHABLE`
    `static int` | `NETWORK_UNREACHABLE`
    `static int` | `SUCCEEDED`
    `static int` | `TTL_EXPIRED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Reply()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDRESS_TYPE_NOT_SUPPORTED

          public static final int ADDRESS_TYPE_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### COMMAND_NOT_SUPPORTED

          public static final int COMMAND_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### CONNECTION_NOT_ALLOWED_BY_RULESET

          public static final int CONNECTION_NOT_ALLOWED_BY_RULESET

      See Also:
        Constant Field Values

    - #### CONNECTION_REFUSED

          public static final int CONNECTION_REFUSED

      See Also:
        Constant Field Values

    - #### GENERAL_SOCKS_SERVER_FAILURE

          public static final int GENERAL_SOCKS_SERVER_FAILURE

      See Also:
        Constant Field Values

    - #### HOST_UNREACHABLE

          public static final int HOST_UNREACHABLE

      See Also:
        Constant Field Values

    - #### NETWORK_UNREACHABLE

          public static final int NETWORK_UNREACHABLE

      See Also:
        Constant Field Values

    - #### SUCCEEDED

          public static final int SUCCEEDED

      See Also:
        Constant Field Values

    - #### TTL_EXPIRED

          public static final int TTL_EXPIRED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Reply

          public Reply()